> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Domain

> Initiate ownership claim for a domain registered by another account.

If you try to add a domain that is currently registered to another account or team, use this endpoint to initiate an automated DNS verification challenge to claim it.

### Body Parameters

<ParamField body="domain" type="string" required>
  The fully qualified domain name you wish to claim (e.g. `example.com`).
</ParamField>

### Response

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">The claim ID.</ResponseField>
  <ResponseField name="domain" type="string">Domain being claimed.</ResponseField>
  <ResponseField name="status" type="string">Status (`pending_verification`).</ResponseField>

  <ResponseField name="txtRecord" type="object">
    <ResponseField name="type" type="string">DNS record type (`TXT`).</ResponseField>
    <ResponseField name="name" type="string">DNS record host / name.</ResponseField>
    <ResponseField name="value" type="string">Verification token value.</ResponseField>
  </ResponseField>

  <ResponseField name="createdAt" type="string">Creation timestamp.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.mailofly.com/api/v1/domains/claim \
    -H "Authorization: Bearer mf_live_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "domain": "example.com"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 Created theme={null}
  {
    "data": {
      "id": "clm_123456",
      "domain": "example.com",
      "status": "pending_verification",
      "txtRecord": {
        "type": "TXT",
        "name": "_mailofly-challenge.example.com",
        "value": "mailofly-verify=8f7e9a2b3c4d5e6f"
      },
      "createdAt": "2026-09-11T14:00:00Z"
    }
  }
  ```
</ResponseExample>


## Related topics

- [Claim domain](/domains/claim-domain.md)
- [Retrieve Domain Claim](/api/domains/retrieve-domain-claim.md)
- [Verify Domain Claim](/api/domains/verify-domain-claim.md)
- [Set up your logo on Apple Mail](/guides/tutorials/apple-mail-logo.md)
- [Delivered Email Not Arriving](/guides/deliverability/delivered-email-not-arriving.md)
